<script>
  // Properties
  export let data = [];
  const continents = ["europe", "asia", "americas", "africa"];
  
  // Export year and continent
  export let year = 0;
  export let continent = "all";

  // Value on button counting time (Start/Stop)
  let buttonStartStop = "Start";
  
  // Timer
  let timer = false;

  // Reset time
  function resetTime() {
    clearInterval(timer);
    timer = false;
    year = 0;
    buttonStartStop = "Start";
  }

  // Start/Stop time
  function countTime() {
    if (timer == false) {
      timer = setInterval(() => {
        if (year === 214) year = 0;
        else year += 1;
        } , 100);
      buttonStartStop = "Stop";
    } else {
      clearInterval(timer);
      timer = false;
      buttonStartStop = "Start";
    }
  }

</script>

<div class="row">
  <!--  -->
  <!-- Buttons  -->
  <div class="col-4">
    <button type="button" class="btn btn-primary" on:click="{countTime}">{buttonStartStop}</button>
    <button type="button" class="btn btn-danger" on:click="{resetTime}">Reset</button>
  </div>
  <!-- Year -->
  <div class="col-5">
    <label class="form-label"> Year: {year + 1800}
      <input type="range" class="form-range" min="0" max="214" step="1" bind:value={year}/>
    </label>
  </div>
  <!-- Continents -->
  <div class="col-3">
    <select id="continent-select" class="form-select" bind:value={continent}>
      <option selected value="all">all</option>
      <option value="europe">europe</option>
      <option value="asia">asia</option>
      <option value="americas">americas</option>
      <option value="africa">africa</option>
    </select>
  </div>
</div>
